#pragma once
class IBaseClash
{
public:
	virtual ~IBaseClash(void) {};


	virtual BOOL MakeClash() = 0;

	virtual BOOL InitClash() = 0;

	virtual BOOL StartClash() = 0;

	virtual BOOL StopClash() = 0;

	virtual int GetHttpPort() = 0;
	virtual int GetSocketPort() = 0;
	virtual int GetClasApiPort() = 0;
 
};

